#ifndef USBDETECTDIALOG_H
#define USBDETECTDIALOG_H

#include <basedlg.h>
#include <QListWidget>

class UsbDetectDialog : public BaseDlg {
    Q_OBJECT
public:
    explicit UsbDetectDialog(QWidget *parent = nullptr);
    ~UsbDetectDialog() {if(timerId!=0) killTimer(timerId);}
protected:
    void timerEvent(QTimerEvent *) override;
signals:
    void acceptData(QString string1, QString string2);
private:
    void detectDriver();
    QListWidget *fdDrives;
    QLineEdit *fdPassword;
    int timerId = 0;
    int lastCnt = 0;

};

#endif // USBDETECTDIALOG_H
